<?php
	require 'customizer-callback/top-bar-typo.php';

	// A. Topbar phone details icon setting.
	$wp_customize->add_setting(
		'leatherhouse_contact_detail_icon',
		array(
			'default'           => 'fa-times-circle-o',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		new leatherhouse_Icon_Picker_Control(
			$wp_customize,
			'leatherhouse_contact_detail_icon',
			array(
				'label'           => __( 'Icon', 'leather-house' ),
				'section'         => 'leatherhouse_topbar_settings',
				'iconset'         => 'fa',
				'priority'        => 31,
				'active_callback' => 'leatherhouse_contact_detail_icon',
			)
		)
	);
	// Topbar phone details Label.
	$wp_customize->add_setting(
		'leatherhouse_contact_detail_text',
		array(
			'default'           => 'Live Chat',
			'sanitize_callback' => 'leatherhouse_sanitize_text',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_contact_detail_text',
		array(
			'label'           => __( 'Text', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 33,
			'active_callback' => 'leatherhouse_contact_detail_text',
		)
	);

	// Topbar phone details Link.
	$wp_customize->add_setting(
		'leatherhouse_contact_detail_link',
		array(
			'default'           => '',
			'sanitize_callback' => 'leatherhouse_sanitize_url',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_contact_detail_link',
		array(
			'label'           => __( 'Link', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 35,
			'active_callback' => 'leatherhouse_contact_detail_link',
		)
	);

	// B. Topbar phone details icon setting.
	$wp_customize->add_setting(
		'leatherhouse_email_detail_icon',
		array(
			'default'           => 'fa-envelope',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		new leatherhouse_Icon_Picker_Control(
			$wp_customize,
			'leatherhouse_email_detail_icon',
			array(
				'label'           => __( 'Icon', 'leather-house' ),
				'section'         => 'leatherhouse_topbar_settings',
				'iconset'         => 'fa',
				'priority'        => 41,
				'active_callback' => 'leatherhouse_email_detail_icon',
			)
		)
	);
	// Topbar phone details Label.
	$wp_customize->add_setting(
		'leatherhouse_email_detail_text',
		array(
			'default'           => 'info@example.com',
			'sanitize_callback' => 'leatherhouse_sanitize_text',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_email_detail_text',
		array(
			'label'           => __( 'Text', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 43,
			'active_callback' => 'leatherhouse_email_detail_text',
		)
	);

	// Topbar phone details Link.
	$wp_customize->add_setting(
		'leatherhouse_email_detail_link',
		array(
			'default'           => '',
			'sanitize_callback' => 'leatherhouse_sanitize_url',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_email_detail_link',
		array(
			'label'           => __( 'Link', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 45,
			'active_callback' => 'leatherhouse_email_detail_link',
		)
	);

	// c. Topbar phone details icon setting.
	$wp_customize->add_setting(
		'leatherhouse_mobile_detail_icon',
		array(
			'default'           => 'fa-whatsapp',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		new leatherhouse_Icon_Picker_Control(
			$wp_customize,
			'leatherhouse_mobile_detail_icon',
			array(
				'label'           => __( 'Icon', 'leather-house' ),
				'section'         => 'leatherhouse_topbar_settings',
				'iconset'         => 'fa',
				'priority'        => 51,
				'active_callback' => 'leatherhouse_mobile_detail_icon',
			)
		)
	);
	// Topbar phone details Label.
	$wp_customize->add_setting(
		'leatherhouse_mobile_detail_text',
		array(
			'default'           => '+01-9876543210',
			'sanitize_callback' => 'leatherhouse_sanitize_text',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_mobile_detail_text',
		array(
			'label'           => __( 'Text', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 53,
			'active_callback' => 'leatherhouse_mobile_detail_text',
		)
	);

	// Topbar phone details Link.
	$wp_customize->add_setting(
		'leatherhouse_mobile_detail_link',
		array(
			'default'           => '',
			'sanitize_callback' => 'leatherhouse_sanitize_url',
		)
	);

	$wp_customize->add_control(
		'leatherhouse_mobile_detail_link',
		array(
			'label'           => __( 'Link', 'leather-house' ),
			'section'         => 'leatherhouse_topbar_settings',
			'type'            => 'text',
			'priority'        => 55,
			'active_callback' => 'leatherhouse_mobile_detail_link',
		)
	);
